package com.ruoyi.tool.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 职位信息对象 t_post
 * 
 * @author ruoyi
 * @date 2024-06-13
 */
public class TPost extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 岗位ID */
    private Long postId;

    /** 岗位编码 */
    @Excel(name = "岗位编码")
    private String postCode;

    /** 岗位名称 */
    @Excel(name = "岗位名称")
    private String postName;

    /** 显示顺序 */
    @Excel(name = "显示顺序")
    private Long postSort;

    /** 职位性质 */
    @Excel(name = "职位性质")
    private String postNature;

    /** 学历 */
    @Excel(name = "学历")
    private String education;

    /** 最低薪资 */
    @Excel(name = "最低薪资")
    private String lowSalary;

    /** 最高薪资 */
    @Excel(name = "最高薪资")
    private String highestSalary;

    /** 薪资类型1 */
    @Excel(name = "薪资类型1")
    private String salaryType1;

    /** 薪资类型2 */
    @Excel(name = "薪资类型2")
    private String salaryType2;

    /** 工作地点 */
    @Excel(name = "工作地点")
    private String workplace;

    /** 工作地点坐标 */
    @Excel(name = "工作地点坐标")
    private String workplaceCoordinate;

    /** 工作年限 */
    @Excel(name = "工作年限")
    private String workYear;

    /** 职位类别 */
    @Excel(name = "职位类别")
    private String postCategory;

    /** 职位标签 */
    @Excel(name = "职位标签")
    private String postTag;

    /** 招聘人数 */
    @Excel(name = "招聘人数")
    private Long recruitNum;

    /** 工作日期类型 */
    @Excel(name = "工作日期类型")
    private String workDateType;

    /** 工作日期时间段 */
    @Excel(name = "工作日期时间段")
    private String dateInterval;

    /** 工作时间类型 */
    @Excel(name = "工作时间类型")
    private String workHourType;

    /** 工作时段 */
    @Excel(name = "工作时段")
    private String workHour;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String telephone;

    /** 结算方式 */
    @Excel(name = "结算方式")
    private String settlementMethod;

    /** 状态（0正常 1停用） */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private String status;

    /** 钉钉用户所属的组织的企业corpId */
    @Excel(name = "钉钉用户所属的组织的企业corpId")
    private String corpId;

    public void setPostId(Long postId) 
    {
        this.postId = postId;
    }

    public Long getPostId() 
    {
        return postId;
    }
    public void setPostCode(String postCode) 
    {
        this.postCode = postCode;
    }

    public String getPostCode() 
    {
        return postCode;
    }
    public void setPostName(String postName) 
    {
        this.postName = postName;
    }

    public String getPostName() 
    {
        return postName;
    }
    public void setPostSort(Long postSort) 
    {
        this.postSort = postSort;
    }

    public Long getPostSort() 
    {
        return postSort;
    }
    public void setPostNature(String postNature) 
    {
        this.postNature = postNature;
    }

    public String getPostNature() 
    {
        return postNature;
    }
    public void setEducation(String education) 
    {
        this.education = education;
    }

    public String getEducation() 
    {
        return education;
    }
    public void setLowSalary(String lowSalary) 
    {
        this.lowSalary = lowSalary;
    }

    public String getLowSalary() 
    {
        return lowSalary;
    }
    public void setHighestSalary(String highestSalary) 
    {
        this.highestSalary = highestSalary;
    }

    public String getHighestSalary() 
    {
        return highestSalary;
    }
    public void setSalaryType1(String salaryType1) 
    {
        this.salaryType1 = salaryType1;
    }

    public String getSalaryType1() 
    {
        return salaryType1;
    }
    public void setSalaryType2(String salaryType2) 
    {
        this.salaryType2 = salaryType2;
    }

    public String getSalaryType2() 
    {
        return salaryType2;
    }
    public void setWorkplace(String workplace) 
    {
        this.workplace = workplace;
    }

    public String getWorkplace() 
    {
        return workplace;
    }
    public void setWorkplaceCoordinate(String workplaceCoordinate) 
    {
        this.workplaceCoordinate = workplaceCoordinate;
    }

    public String getWorkplaceCoordinate() 
    {
        return workplaceCoordinate;
    }
    public void setWorkYear(String workYear) 
    {
        this.workYear = workYear;
    }

    public String getWorkYear() 
    {
        return workYear;
    }
    public void setPostCategory(String postCategory) 
    {
        this.postCategory = postCategory;
    }

    public String getPostCategory() 
    {
        return postCategory;
    }
    public void setPostTag(String postTag) 
    {
        this.postTag = postTag;
    }

    public String getPostTag() 
    {
        return postTag;
    }
    public void setRecruitNum(Long recruitNum) 
    {
        this.recruitNum = recruitNum;
    }

    public Long getRecruitNum() 
    {
        return recruitNum;
    }
    public void setWorkDateType(String workDateType) 
    {
        this.workDateType = workDateType;
    }

    public String getWorkDateType() 
    {
        return workDateType;
    }
    public void setDateInterval(String dateInterval) 
    {
        this.dateInterval = dateInterval;
    }

    public String getDateInterval() 
    {
        return dateInterval;
    }
    public void setWorkHourType(String workHourType) 
    {
        this.workHourType = workHourType;
    }

    public String getWorkHourType() 
    {
        return workHourType;
    }
    public void setWorkHour(String workHour) 
    {
        this.workHour = workHour;
    }

    public String getWorkHour() 
    {
        return workHour;
    }
    public void setTelephone(String telephone) 
    {
        this.telephone = telephone;
    }

    public String getTelephone() 
    {
        return telephone;
    }
    public void setSettlementMethod(String settlementMethod) 
    {
        this.settlementMethod = settlementMethod;
    }

    public String getSettlementMethod() 
    {
        return settlementMethod;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setCorpId(String corpId) 
    {
        this.corpId = corpId;
    }

    public String getCorpId() 
    {
        return corpId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("postId", getPostId())
            .append("postCode", getPostCode())
            .append("postName", getPostName())
            .append("postSort", getPostSort())
            .append("postNature", getPostNature())
            .append("education", getEducation())
            .append("lowSalary", getLowSalary())
            .append("highestSalary", getHighestSalary())
            .append("salaryType1", getSalaryType1())
            .append("salaryType2", getSalaryType2())
            .append("workplace", getWorkplace())
            .append("workplaceCoordinate", getWorkplaceCoordinate())
            .append("workYear", getWorkYear())
            .append("postCategory", getPostCategory())
            .append("postTag", getPostTag())
            .append("recruitNum", getRecruitNum())
            .append("workDateType", getWorkDateType())
            .append("dateInterval", getDateInterval())
            .append("workHourType", getWorkHourType())
            .append("workHour", getWorkHour())
            .append("telephone", getTelephone())
            .append("settlementMethod", getSettlementMethod())
            .append("remark", getRemark())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("corpId", getCorpId())
            .toString();
    }
}
