package com.ruoyi.tool.service;

import java.util.List;
import com.ruoyi.tool.domain.TPost;

/**
 * 职位信息Service接口
 * 
 * @author ruoyi
 * @date 2024-06-13
 */
public interface ITPostService 
{
    /**
     * 查询职位信息
     * 
     * @param postId 职位信息主键
     * @return 职位信息
     */
    public TPost selectTPostByPostId(Long postId);

    /**
     * 查询职位信息列表
     * 
     * @param tPost 职位信息
     * @return 职位信息集合
     */
    public List<TPost> selectTPostList(TPost tPost);

    /**
     * 新增职位信息
     * 
     * @param tPost 职位信息
     * @return 结果
     */
    public int insertTPost(TPost tPost);

    /**
     * 修改职位信息
     * 
     * @param tPost 职位信息
     * @return 结果
     */
    public int updateTPost(TPost tPost);

    /**
     * 批量删除职位信息
     * 
     * @param postIds 需要删除的职位信息主键集合
     * @return 结果
     */
    public int deleteTPostByPostIds(Long[] postIds);

    /**
     * 删除职位信息信息
     * 
     * @param postId 职位信息主键
     * @return 结果
     */
    public int deleteTPostByPostId(Long postId);


    String importPost(List<TPost> postList, String operName);
}
