import request from '@/utils/request'

// 查询职位信息列表
export function listPost(query) {
  return request({
    url: '/tool/post/list',
    method: 'get',
    params: query
  })
}

// 查询职位信息详细
export function getPost(postId) {
  return request({
    url: '/tool/post/' + postId,
    method: 'get'
  })
}

// 新增职位信息
export function addPost(data) {
  return request({
    url: '/tool/post',
    method: 'post',
    data: data
  })
}

// 修改职位信息
export function updatePost(data) {
  return request({
    url: '/tool/post',
    method: 'put',
    data: data
  })
}

// 删除职位信息
export function delPost(postId) {
  return request({
    url: '/tool/post/' + postId,
    method: 'delete'
  })
}
